bitel.billing.server.gorod.bean

## Class RegisterItemManager

- java.lang.Object
- - bitel.billing.server.gorod.bean.RegisterItemManager

-     public class RegisterItemManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegisterItemManager(java.sql.Connection con, int mid, Preferences moduleSetup)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Register` | `createFullRegister(java.util.Calendar date, int tagID)` Создание полного реестра за определенную дату
    `void` | `createRegisterDiff(int fromID, int toID, java.util.Calendar date, int tagID)` Создание 3 и 9 реестров на основании 2х реестров 7
    `int` | `getRegisterItemCount(int registerID)`
    `java.util.List<RegisterItem>` | `getRegisterItems(int registerID)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegisterItemManager

          public RegisterItemManager(java.sql.Connection con,
                                     int mid,
                                     Preferences moduleSetup)

  - ### Method Detail

    - #### createRegisterDiff

          public void createRegisterDiff(int fromID,
                                         int toID,
                                         java.util.Calendar date,
                                         int tagID)

      Создание 3 и 9 реестров на основании 2х реестров 7
      Parameters:
        `fromID` -
        `toID` -
        `date` -

    - #### getRegisterItems

          public java.util.List<RegisterItem> getRegisterItems(int registerID)

    - #### getRegisterItemCount

          public int getRegisterItemCount(int registerID)

    - #### createFullRegister

          public Register createFullRegister(java.util.Calendar date,
                                             int tagID)

      Создание полного реестра за определенную дату
      Parameters:
        `date` -
      Returns: